# Poco::Data

# class StatementCreator

Library: Data
Package: DataCore
Header: Poco/Data/StatementCreator.h

## Description

A StatementCreator creates Statements.

## Member Summary

Member Functions: operator <<, operator =, swap

## Constructors

### StatementCreator

StatementCreator();

Creates an unitialized StatementCreator.

### StatementCreator

StatementCreator(
Poco::AutoPtr < SessionImpl > ptrImpl
);

Creates a StatementCreator.

### StatementCreator

StatementCreator(
const StatementCreator & other
);

Creates a StatementCreator by copying another one.

### StatementCreator

StatementCreator(
StatementCreator && other
) noexcept;

Creates a StatementCreator by moving another one.

## Destructor

### ~StatementCreator

~StatementCreator();

Destroys the StatementCreator.

## Member Functions

### operator <<

template < typename T > Statement operator << (
const T & t
);

Creates a Statement.

### operator =

StatementCreator & operator = (
const StatementCreator & other
);

Assignment operator.

### operator =

StatementCreator & operator = (
StatementCreator && other
) noexcept;

Assignment operator.

### swap

void swap(
StatementCreator & other
) noexcept;

Swaps the StatementCreator with another one.